#!/bin/bash 
cp -r --preserve=links /qt-creator/qtcreator_build/lib/qtcreator   $WORK_DIR/AppDir/usr/lib/
cp -r --preserve=links /qt-creator/qtcreator_build/share/qtcreator $WORK_DIR/AppDir/usr/share/

QTCREATOR_PLUGINS_LIB=$WORK_DIR/AppDir/usr/lib/qtcreator/plugins
liste_libs=()
while IFS=  read -r -d $'\0'; do
    liste_libs+=("$REPLY")
done < <(find $QTCREATOR_PLUGINS_LIB -type f -name *so* -print0)

cd $QTCREATOR_PLUGINS_LIB
for i in "${liste_libs[@]}"; do
	echo $(basename $i)
        patchelf --set-rpath '$ORIGIN/../../:$ORIGIN/../' $(basename $i)
done
cd -

liste_libs=()
QTCREATOR_LIB=$WORK_DIR/AppDir/usr/lib/qtcreator/
while IFS=  read -r -d $'\0'; do
    liste_libs+=("$REPLY")
done < <(find $QTCREATOR_LIB -maxdepth 1 -type f -name *so* -print0)

cd $QTCREATOR_LIB
for i in "${liste_libs[@]}"; do
        echo $(basename $i)
        patchelf --set-rpath ':$ORIGIN/../' $(basename $i)
done
cd -


wget https://thomasbriffard.com/public/mon_style_qtcreator.xml -O $WORK_DIR/AppDir/usr/share/qtcreator/styles/onedark_like.xml

