# Collection d'applications de développement au format AppImage

Les applications suivantes:

 - valgrind
 - git
 - kdiff3
 - qgit
 - qtcreator
 - qcachegrind

sont compilées dans un conteneur CentOS7 (glibc 2.17) puis livrées au format [AppImage](https://appimage.org/) via les outils [linuxdeploy](https://github.com/linuxdeploy/linuxdeploy) et [appimagetool](https://github.com/AppImage/AppImageKit).

Actuellement, toutes les applications faisant appels à Qt sont compilées avec Qt 5.15.2

## Pré-Requis

Vous devez avoir installé sur votre machine :

 - [Docker](https://docs.docker.com/engine/install/)
 - [docker-compose](https://docs.docker.com/compose/install/)

## Utilisation

``` sh
make APP_NOM
```

par exemple,

``` sh
make qtcreator
make qgit
```

Les AppImage seront situées dans les répertoires correspondant aux applications.

La première fois, les images docker de bases seront constuites, ce qui peut-être assez long...
