#!/bin/bash
cp -r --preserve=links /usr/local/libexec/valgrind $WORK_DIR/AppDir/

cat << EOF > $WORK_DIR/AppRun
#!/bin/bash
APPDIR=\$(dirname -- "\$0")

export PATH=\$APPDIR/usr/bin:$PATH
export LD_LIBRARY_PATH=\$APPDIR/usr/lib/:$LD_LIBRARY_PATH
export VALGRIND_LIB=\$APPDIR/valgrind

exec \$APPDIR/usr/bin/$APP_NOM "\$@"
EOF

fichierIcon=/build/valgrind.png
fichierDesktop=/build/valgrind.desktop

AUTRES_OPTIONS="-i $fichierIcon -d $fichierDesktop --custom-apprun $WORK_DIR/AppRun"


